Last Comment Bug 775431 - MOZ_DUMP_PAINT_LIST debugging output isn't terminal-friendly
: MOZ_DUMP_PAINT_LIST debugging output isn't terminal-friendly
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Layout (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla17
Assigned To: Chris Lord [:cwiiis]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 01:18 PDT by Chris Lord [:cwiiis]
Modified: 2012-08-08 09:27 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Only output HTML for MOZ_DUMP_PAINT_LIST when outputting to a file (14.84 KB, patch)
2012-07-19 01:18 PDT, Chris Lord [:cwiiis]
matt.woodrow: review+
Details | Diff | Splinter Review

Description Chris Lord [:cwiiis] 2012-07-19 01:18:30 PDT
Created attachment 643760 [details] [diff] [review]
Only output HTML for MOZ_DUMP_PAINT_LIST when outputting to a file

When exporting MOZ_DUMP_PAINT_LIST, the output is html - this is great when dumping to a file, but not so useful if you're trying to read the output on a terminal.

The attached patch only outputs in html format when outputting to a file.
Comment 1 Chris Lord [:cwiiis] 2012-07-19 01:19:51 PDT
Comment on attachment 643760 [details] [diff] [review]
Only output HTML for MOZ_DUMP_PAINT_LIST when outputting to a file

Not pretty, but does the job.
Comment 2 Chris Lord [:cwiiis] 2012-08-07 10:59:32 PDT
Pushed to inbound: http://hg.mozilla.org/integration/mozilla-inbound/rev/e539f011a452
Comment 3 Chris Lord [:cwiiis] 2012-08-08 04:47:42 PDT
And a part that got lost in rebasing pushed: https://hg.mozilla.org/integration/mozilla-inbound/rev/4823b8b02b27

Note You need to log in before you can comment on or make changes to this bug.